
Katello - Bug #6001

Sync Plan time not consistent in GUI

05/30/2014 03:54 PM - Ignacio Bravo

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you go to Product -> Repositories to see the sync status of a server the message states that the times are relative to the

server which is not enterely true. See the example bellow:

Client: EST time

Server: UTC time

Action: Forced syncronization of a repository at 10:49 AM EST (Client time)

Result: The following message appeared in the GUI

Sync Status

All dates and times below are relative to this server.

Sync Interval Daily at 11:00:00 PM  -> Server UTC Time

Last Sync May 30, 2014 10:49:21 AM  -> Client EST Time

Next Sync May 30, 2014 11:00:00 PM  -> Server UTC Time

Sync State finished

Associated revisions

Revision 797cd5ef - 06/24/2014 02:36 PM - Walden Raines

Fixes #6001 - specify local or server time for sync plan times.

Also include a "time as words" value (such as "3 hours ago" or

"28 minutes ago") when displaying last synced time.

Revision 38d30a08 - 06/24/2014 03:16 PM - Walden Raines

Merge pull request #4314 from waldenraines/6001

Fixes #6001 - specify local or server time for sync plan times.

Revision 2de77c80 - 06/24/2014 06:36 PM - Walden Raines

Fixes #6001 - specify local or server time for sync plan times.

Also include a "time as words" value (such as "3 hours ago" or

"28 minutes ago") when displaying last synced time.

Revision 458dbd13 - 06/24/2014 07:16 PM - Walden Raines

Merge pull request #4314 from waldenraines/6001

Fixes #6001 - specify local or server time for sync plan times.

History

#1 - 06/05/2014 03:02 AM - Eric Helms

- Assignee set to Walden Raines

- Target version set to 45
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 06/16/2014 02:48 PM - Eric Helms

- Target version deleted (45)

#3 - 06/19/2014 08:19 PM - Walden Raines

- Status changed from New to Assigned

#4 - 06/19/2014 08:20 PM - Walden Raines

- Target version set to 48

#5 - 06/19/2014 09:47 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4314

#6 - 06/24/2014 07:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:2de77c808d9f87d91b8c913f3bc4ceff387c98c6.

#7 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
